Version 1.4.2 of sysklogd-sql includes support for logging syslog
information to a PostgreSQL database. It is based on the source base of
sysklogd 1.4.1.

The file pglogger.sql is the layout of the SQL database that syslogd
will use to store the information. There is also a new syntax in
syslog.conf to direct which messages log to the SQL server.

CONFIGURING SYSKLOGD TO LOG TO THE SQL SERVER:

	There is a new syntax in /etc/syslogd.conf that instructs syslogd to log to
a MySQL database. As the selectors are the same as all of the other options, I 
will not document them here, but you can see their syntax in the man page for
syslog.conf(5). A new ACTION has been added. Here is a sample line from the
/etc/syslog.conf file that will log to a PostgreSQL database:

	*.*				+syslog:syslog@localhost/logger!syslog

This will log all messages to the PostgreSQL database, the breakdown of the action section
is as follows:

	- + (plus sign)			- Tells syslogd we are logging to a MySQL database.
	- syslog				- This is the MySQL username to use.
	- : (colon)				- Seperates the username from the password.
	- syslog				- This is the MySQL password to use.
	- @ (at sign)			- Seperates the password from the SQL server.
	- localhost				- The name of the SQL server to log to.
	- / (forward slash)		- Seperates the SQL server from the database name.
	- logger				- The name of the database to log to.
	- ! (exclamation point)	- Seperates the database name from the table name.
	- syslog				- The name of the table to log data to.

CONCLUSION:
	By having one machine configured to log messages to a SQL database, you can 
then point your other machines and/or devices to this computer as the syslog server
(or loghost) and you can have all of your syslog messages in one central database. I
have tested this configuration with Sun machines running Solaris, IBM machines running
AIX, HP machines running HP-UX, Cisco routers, switches, and firewalls, and HP printers
sending all of their syslog data to a single Linux x86 box logging to a SQL server. It
provides a convienient single place to view your log files. Also, since it's running
on a SQL server, it provides a wide variety of searching and sorting options. I wrote
a quick PHP script that you can use as a front-end to the database to search, sort, and
view the syslog entries, you can find that in the web directory. This assumes that you
have a webserver with PostgreSQL enabled PHP installed. You can obtain the necessary
software to use the PostgreSQL enabled syslog from the following sources:

	- PostgreSQL			- http://www.postgresql.com
	- PHP					- http://www.php.net
	- Apache (webserver)	- http://www.apache.org

If you have any questions, suggestions, patches etc. please drop me a note.

Regards.

Lance O'Connor
lance@monkeymental.com
