# Table structure used by sysklogd-sql
#--------------------------------------------------
# 02-06-13      LO      Oracle table structure defined
#
#

#
# Begin Oracle table structure for table 'syslog'
#

drop sequence syslog_seq;

create sequence syslog_seq increment by 1 start with 1 maxvalue 9999999999 nocycle;

drop table syslog;

create table syslog (
	id number(12) not null primary key,
	machine varchar2(50) default '',
	facilitylevel  varchar2(25) default '',
	date1 date default sysdate,
	message varchar2(1024) not null)
storage (initial 5m next 5m pctincrease 0) nologging;

create index syslog_idx1 on syslog(machine)
    storage (initial 500k next 500k pctincrease 0) nologging;

create or replace trigger syslog_trg before insert on syslog for each row
begin
	select syslog_seq.nextval into :new.id from dual;
end;
/

#
# End Oracle table structure for table 'syslog'
#
