--
-- PostgreSQL database dump
--

SET search_path = public, pg_catalog;

--
-- TOC entry 2 (OID 16982)
-- Name: syslog; Type: TABLE; Schema: public; Owner: pgsql
--

CREATE TABLE syslog (
    id serial NOT NULL,
    machine character varying(50) DEFAULT '' NOT NULL,
    facility character varying(8) DEFAULT 'syslog' NOT NULL,
    priority character varying(7) DEFAULT 'notice' NOT NULL,
    date1 timestamp without time zone DEFAULT now() NOT NULL,
    message text NOT NULL,
    CONSTRAINT syslog_facility CHECK ((((((((((((((((((((((facility = 'auth'::character varying) OR (facility = 'authpriv'::character varying)) OR (facility = 'cron'::character varying)) OR (facility = 'daemon'::character varying)) OR (facility = 'kern'::character varying)) OR (facility = 'lpr'::character varying)) OR (facility = 'mail'::character varying)) OR (facility = 'mark'::character varying)) OR (facility = 'news'::character varying)) OR (facility = 'security'::character varying)) OR (facility = 'syslog'::character varying)) OR (facility = 'user'::character varying)) OR (facility = 'uucp'::character varying)) OR (facility = 'local0'::character varying)) OR (facility = 'local1'::character varying)) OR (facility = 'local2'::character varying)) OR (facility = 'local3'::character varying)) OR (facility = 'local4'::character varying)) OR (facility = 'local5'::character varying)) OR (facility = 'local6'::character varying)) OR (facility = 'local7'::character varying))),
    CONSTRAINT syslog_priority CHECK ((((((((((((priority = 'debug'::character varying) OR (priority = 'info'::character varying)) OR (priority = 'notice'::character varying)) OR (priority = 'warning'::character varying)) OR (priority = 'warn'::character varying)) OR (priority = 'err'::character varying)) OR (priority = 'error'::character varying)) OR (priority = 'crit'::character varying)) OR (priority = 'alert'::character varying)) OR (priority = 'emerg'::character varying)) OR (priority = 'panic'::character varying)))
);


--
-- TOC entry 3 (OID 17000)
-- Name: hostname; Type: INDEX; Schema: public; Owner: pgsql
--

CREATE INDEX hostname ON syslog USING btree (machine);


--
-- TOC entry 4 (OID 16994)
-- Name: syslog_pkey; Type: CONSTRAINT; Schema: public; Owner: pgsql
--

ALTER TABLE ONLY syslog
    ADD CONSTRAINT syslog_pkey PRIMARY KEY (id);


