<?
/* web/common.inc - Sample front end for syslogd-sql include file
 * General Include File.
 *
 * Version 1.4.2.0
 **********************************************************************************
 * 03-02-09	LO	Initial implementation
*/


/* Program information defines */
$version	=	"1.4.2";

/* Database connection defines (common) */
$host		=	"localhost";
$user		=	"weblog";
$pass		=	"weblog";
$database	=	"logger";

/*
** Database type defines
** Uncomment the backend server you are using, and comment out the other
*/

 define("MYSQL", 1);
// define("PGSQL", 1);

/*
** End of configuration section
*/


/* DB Specific Functions */
function syslog_db_connect($host, $user, $pass, $database)
{
	if(defined("MYSQL"))
	{
		/* We are using MySQL */
		if($dblink = mysql_connect($host, $user, $pass))
		{
			if(!mysql_select_db($database))
			{
				printf("<p><b>Error connecting to $database. (%s [%d])\n", mysql_error(), mysql_errno());
				exit();
			}
		}
		else
		{
			printf("<p><b>Error connecting to $database. (%s [%d])\n", mysql_error(), mysql_errno());
			exit();
		}
		return $dblink;

	}
	elseif(defined("PGSQL"))
	{
		/* We are using PGSQL" */
		if(!$dblink = pg_connect("host=$host dbname=$database user=$user password=$pass"))
		{
			print("Error connecting to $database<br>\n");
			exit();
		}
		else
		{
			return $dblink;
		}

	}
	else
	{
		/* No database backend defined? */
		trigger_error("No database backend defined. Exiting.", E_USER_ERROR);
	}
}

/*
 * syslog_avail_tables($dbconn)
 *************************************
 * Get the list of available tables
 * from the selected database.
 * 
 * MySQL has mysql_list_tables, pg 
 * lists them in the system table
 * pg_tables.
*/
function syslog_avail_tables($database, $dbconn)
{
	if(defined("MYSQL"))
	{
		if(!$availtbls = mysql_list_tables($database,$dbconn))
		{
			printf("<p><b>Error connecting to $database. (%s [%d])\n", mysql_error(), mysql_errno());
			exit();
		}
		else
		{
			return $availtbls;
		}

	}
	elseif(defined("PGSQL"))
	{
		$query = "select tablename from pg_tables where schemaname = 'public'";
		if(!$availtbls = pg_query($dbconn, $query))
		{
			printf("Query failed[%d]: %s<br>\n", $table_list, pg_result_error($table_list));
			exit();
		}
		else
		{
			return $availtbls;
		}

	}
	else
	{
		/* No database backend defined? */
		trigger_error("No database backend defined. Exiting.", E_USER_ERROR);
	}
}

/*
 * syslog_query
 *************************************
 * Get a list of machines that have
 * logged to the database.
*/
function syslog_query($dbconn, $query)
{
//	$query	=	"select distinct(machine) from syslog order by machine asc";

	if(defined("MYSQL"))
	{
		if(!$syslog_hosts = mysql_query($query,$dbconn))
		{
			printf("<p><b> Error during query. (%s [%d])\n", mysql_error(), mysql_errno());
			exit();
		}
		else
		{
			return $syslog_hosts;
		}

	}
	elseif(defined("PGSQL"))
	{
		if(!$syslog_hosts = pg_query($dbconn, $query))
		{
			printf("Query failed[%d]: %s<br>\n", $table_list, pg_result_error($table_list));
			exit();
		}
		else
		{
			return $syslog_hosts;
		}
	}
	else
	{
		/* No database backend defined? */
		trigger_error("No database backend defined. Exiting.", E_USER_ERROR);
	}
}

/*
 * syslog_fetch_object
 *************************************
*/
function syslog_fetch_object($resource)
{
	if(defined("MYSQL"))
	{
		return mysql_fetch_object($resource);
	}
	elseif(defined("PGSQL"))
	{
		return pg_fetch_object($resource);
	}
	else
	{
		/* No database backend defined? */
		trigger_error("No database backend defined. Exiting.", E_USER_ERROR);
	}
}

/*
 * syslog_fetch_arry
 *************************************
*/
function syslog_fetch_array($resource)
{
	if(defined("MYSQL"))
	{
		return mysql_fetch_array($resource);
	}
	elseif(defined("PGSQL"))
	{
		return pg_fetch_array($resource);
	}
	else
	{
		/* No database backend defined? */
		trigger_error("No database backend defined. Exiting.", E_USER_ERROR);
	}
}

/*
 * syslog_num_rows
 *************************************
*/
function syslog_num_rows($resource)
{
	if(defined("MYSQL"))
	{
		return mysql_num_rows($resource);
	}
	elseif(defined("PGSQL"))
	{
		return pg_num_rows($resource);
	}
	else
	{
		/* No database backend defined? */
		trigger_error("No database backend defined. Exiting.", E_USER_ERROR);
	}
}

/*
 * syslog_free_result
 *************************************
*/
function syslog_free_result($resource)
{
	if(defined("MYSQL"))
	{
		return mysql_free_result($resource);
	}
	elseif(defined("PGSQL"))
	{
		return pg_free_result($resource);
	}
	else
	{
		/* No database backend defined? */
		trigger_error("No database backend defined. Exiting.", E_USER_ERROR);
	}
}

function syslog_get_data($dblink, $host, $facility, $priority, $begdate, $enddate)
{

	$query = "select * from syslog where machine like '$host' and facility like '$facility' and priority like '$priority' and date1 >= '$begdate' and date1 <= '$enddate'";
	if(defined("MYSQL"))
	{
		$query = "select *,UNIX_TIMESTAMP(date1) as udate from syslog where machine like '$host' and facility like '$facility' and priority like '$priority' and date1 >= '$begdate' and date1 <= '$enddate'";
		return syslog_query($dblink, $query);
	}
	elseif(defined("PGSQL"))
	{
		return syslog_query($dblink, $query);
	}
	else
	{
		/* No database backend defined? */
		trigger_error("No database backend defined. Exiting.", E_USER_ERROR);
	}

}
/* Common Functions */
function send_no_cache()
{
	header("Expires: Fri, 30 May 1975 08:00:00 GMT");
	header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT");
	header("Cache-Control: no-store, no-cache, must-revalidate");
	header("Cache-Control: post-check=0, pre-check=0", false);
	header("Pragma: no-cache");

	return 0;
}

?>
