<?
/* syslog/index.php - Sample front end for syslogd-sql
 *
 * Version 1.4.2
 **********************************************************************************
 * 02-05-27	LO	Made date based searching more intuitive by putting in seperators
 *
 * 02-05-27	LO	Beingings of dealing with log rotation, added a column to select
 *				which databases to get data from.
 *				Added version information to page.
 *				Added footer to page.
 *
 * 02-06-27	LO	Disable Caching of this page to insure most up to date info
 *				Order the machine names alphabetically.
 *
 * 02-07-07	LO	Updated version to 1.4.2.0 (Development)
 *
 * 02-07-08	LO	Change from POST to GET for easy bookmarking.
 *
 * 03-02-09	LO	Move code to common.inc and write db independant SQL code
 *
 * 03-07-09 LO	Updated version to 1.4.2 (Release)
*/

	include('./common.inc');

	send_no_cache();

	$dblink = syslog_db_connect($host, $user, $pass, $database);

	// Get available tables.
	$availtbls = syslog_avail_tables($database, $dblink);

	// Do the query thing
	$query  =   "select distinct(machine) from syslog order by machine asc";
	$syslog_hosts = syslog_query($dblink, $query);

?>
<html>
<head>
<title>
	SQL SYSLOG Viewer (Version <? echo $version; ?>)
</title>
</head>
<body bgcolor=white>
<hr>
<h3 align=center>SQL SYSLOG Viewer</h3>
<center>Version <? echo $version; ?></center>
<hr>
<form method="GET" action="/syslog/php/syslog.php">
<table border=0>
<tr>
	<td><b>Host:</b></td>
	<td><b>Facility:</b></td>
	<td><b>Priority:</b></td>
	<td><b>Start Date:</b></td>
	<td><b>End Date:</b></td>
	<td><b>Database(s):</b></td>
</tr>
<tr>
<td><select name="host" size=5> 
	<option selected value="%">Any</option>
<?
	while ($row = syslog_fetch_object($syslog_hosts))
	{
		printf("<option value=\"%s\">%s</option>\n",
			$row->machine, $row->machine);
	}
?>
</select></td>
<td><select name="facility" size=5>
	<option selected value="%">All</option>
	<option value="auth">auth</option>
	<option value="authpriv">authpriv</option>
	<option value="cron">cron</option>
	<option value="daemon">daemon</option>
	<option value="kern">kern</option>
	<option value="lpr">lpr</option>
	<option value="mail">mail</option>
	<option value="mark">mark</option>
	<option value="news">news</option>
	<option value="auth">security</option>
	<option value="syslog">syslog</option>
	<option value="user">user</option>
	<option value="uucp">uucp</option>
	<option value="local0">local0</option>
	<option value="local1">local1</option>
	<option value="local2">local2</option>
	<option value="local3">local3</option>
	<option value="local4">local4</option>
	<option value="local5">local5</option>
	<option value="local6">local6</option>
	<option value="local7">local7</option>
</select></td>
<td><select name="priority" size=5>
	<option selected value="%">All</option>
	<option value="debug">debug</option>
	<option value="info">info</option>
	<option value="notice">notice</option>
	<option value="warn">warn(ing)</option>
	<option value="err">err(or)</option>
	<option value="crit">crit</option>
	<option value="alert">alert</option>
	<option value="emerg">emerg</option>
	<option value="panic">panic</option>
</select></td>
<td>
	<input type=text name="begdate" value="1900-01-01 00:00:00"><br><font size="-1">YYYY-MM-DD HH:MM:SS</font>
</td>
<td>
	<input type=text name="enddate" value="<? print date("Y-m-d H:i:s"); ?>"><br><font size="-1">YYYY-MM-DD HH:MM:SS</font>
</td>
<td><select name="dbs" size=5>
<?
	while(list($foo)=syslog_fetch_array($availtbls))
	{
		printf("<option value=\"%s\">%s</option>\n", $foo, $foo);
	}
?>
</select></td>
</tr>
</table>
<input type=submit value="Show Logs"> <input type=reset>
</form>
<p><b>WARNING:</b> Some queries have lots of data and may take some time to format. It may appear
as if your browser has stopped working, but in most cases it's just looking up the data.</p>
<table bgcolor="#CCCCC" width="100%">
<tr>
<td align=center>
	<font size="-1" color=blue>Copyright &copy; 1999-2003 <a href="http://www.monkeymental.com/nuke">MonkeyMental.com</a></font>
</td>
<td align=center>
	<font size="-1" color=blue>sysklogd-sql Web Front End Version <? echo $version; ?></font>
</td>
<td align=center>
	<font size="-1" color=blue>Released under GPL</font>
</td>
</tr>
</table>
</body>
</html>
