<?
/* syslog/php/syslog.php - Processing engine for sample frontend to sysklogd-sql
 *
 * Version 1.4.1.1
 *******************************************************************************************
 * 02-05-26	LO	Added support for new date based searching
 *				SQL escape all strings (Just in case there is an odd machine name out there)
 *
 * 02-05-27	LO	Added version information and footer
 *
 * 02-06-09	LO	Split Facility and Priority into to different columns for display
 *
 * 02-07-07	LO	Facility and Priority are now split in the database, and updated by syslogd
 *				Took out the code to split the old FaclilityLevel column.
 *
 * 02-07-08	LO	Put in HTTP no-cache headers. Change from POST to GET for easy bookmarking.
*/

	include('../common.inc');

	send_no_cache();

	$dblink = syslog_db_connect($host, $user, $pass, $database);

	if(defined("MYSQL"))
	{
		$syslog_info = syslog_get_data($dblink, mysql_escape_string($HTTP_GET_VARS["host"]),mysql_escape_string($HTTP_GET_VARS["facility"]),mysql_escape_string($HTTP_GET_VARS["priority"]),mysql_escape_string($HTTP_GET_VARS["begdate"]),mysql_escape_string($HTTP_GET_VARS["enddate"]));
	}
	elseif(defined("PGSQL"))
	{
		$syslog_info = syslog_get_data($dblink, pg_escape_string($HTTP_GET_VARS["host"]),pg_escape_string($HTTP_GET_VARS["facility"]),pg_escape_string($HTTP_GET_VARS["priority"]),pg_escape_string($HTTP_GET_VARS["begdate"]),pg_escape_string($HTTP_GET_VARS["enddate"]));
	}

	// Do the query thing
//	$syslog_info = syslog_query($dblink, $query);

	$syslog_rows = syslog_num_rows($syslog_info);

?>
<html>
<head>
<title>
	SQL SYSLOG Results - <? echo $syslog_rows; ?>
</title>
</head>

<body bgcolor=white>
<p align=center><b>SQL SYSLOG results - <? echo $syslog_rows; ?></b></p>
<table border=1>
<tr>
	<td align=center bgcolor="#CCCCCC"><b>Date</b></td>
	<td align=center bgcolor="#CCCCCC"><b>Machine</b></td>
	<td align=center bgcolor="#CCCCCC"><b>Facility</b></td>
	<td align=center bgcolor="#CCCCCC"><b>Priority</b></td>
	<td align=center bgcolor="#CCCCCC"><b>Message</b></td>
</tr>
<?
	while ($row = syslog_fetch_object($syslog_info))
	{
		if(defined("MYSQL"))
		{
			printf("<tr><td>%s</td><td nowrap>%s</td><td>%s</td><td>%s</td><td>%s</td></tr>\n",
					date("Y M d H:i:s", $row->udate),
					$row->machine,
					$row->facility,
					$row->priority,
					$row->message);
		}
		elseif(defined("PGSQL"))
		{
			printf("<tr><td>%s</td><td nowrap>%s</td><td>%s</td><td>%s</td><td>%s</td></tr>\n",
					$row->date1,
					$row->machine,
					$row->facility,
					$row->priority,
					$row->message);
		}
	}
	syslog_free_result($syslog_info);
?>
</table>
<table bgcolor="#CCCCC" width="100%">
<tr>
<td align=center>
	<font size="-1" color=blue>Copyright &copy; 1999-2003 <a href="http://www.monkeymental.com/nuke">MonkeyMental.com</a></font>
</td>
<td align=center>
	<font size="-1" color=blue>sysklogd-sql Web Front End Version <? echo $version; ?></font>
</td>
<td align=center>
	<font size="-1" color=blue>Released under GPL</font>
</td>
</tr>
</table>
</body>
</html>
